/*****************************************************************************************
AUTHOR: David Chan
PURPOSE: Estimate multinomial logit model of discharge hazard separately for each shift 
length
NOTES: 
******************************************************************************************/

global interval=5
global shiftlens 7 8 9 10 12
global discharge_estimates "${Estimates}/clogit"
global regline nodc adjirel? diff? baseirel? c.diff?#c.baseirel? ///
	c.adjirel?#c.cen? cen? xbd_lntdc reldc_sp? c.reldc_sp?#c.adjirel?

*** Estimate multinomial logit model *****************************************************
set more off
qui foreach shiftlen in $shiftlens {
	use "${Data}/stored_dp_data.dta", clear
	noi prep_est_clogit if shiftlen==`shiftlen', ///
		est_file(${discharge_estimates}_len`shiftlen') 
		// See .ado file
}
