/*****************************************************************************************
AUTHOR: David Chan
PURPOSE: Master file to create tables and figures for "The Efficiency of Slacking Off: 
Evidence from the Emergency Department", Econometrica
NOTES: See ReadMe.pdf for overview of files
*****************************************************************************************/

// Run setdir.do first to declare global macros with appropriate folder names

*** Prepare data *************************************************************************
do prepare_stored_data.do
do prepare_elix_data.do
do prepare_arrival_count_data.do
do prepare_stored_dp_data.do
do prepare_cf_sims_data.do

*** Main Paper ***************************************************************************
foreach num of numlist 2/9 {
	do make_figure_`num'.do
}
do make_figure_10-11.do


foreach num of numlist 1/4 {
	do make_table_`num'.do
}

*** Appendix *****************************************************************************
foreach num in a-1.1 a-1.2 a-2.1 a-3.1 a-5.1 a-5.2 a-6 a-7.1-7.2 a-7.3 a-7.4 {
	do make_figure_`num'.do
}


foreach num in a-1.1 a-1.2 a-1.3 a-5.1 a-7.1 a-7.3 {
	do make_table_`num'.do
}
