/*****************************************************************************************
AUTHOR: David Chan
PURPOSE: Merge in physician characteristics
NOTES: 
******************************************************************************************/

capture program drop merge_npid_char
program merge_npid_char
syntax , [npid(string) gen(string)]
qui {
	if "`npid'"=="" local npid npid
	local varlist *
	tempfile master
	if "`npid'"!="npid" {
		set varabbrev off 
		capture d npid
		if r(N)!=. {
			local rename=1
			rename npid tempnpid
		}
		rename `npid' npid
		set varabbrev on
	}
	save `master', replace
	use "${Data}/npid_xwalk_char", clear
	keep `varlist' npid
	foreach var of varlist `varlist' {
		if "`var'"!="npid" {
			rename `var' `gen'`var'
		}
	}
	merge 1:m npid using `master', keep(match using match_up match_con) nogen
	if "`npid'"!="npid" {
		rename npid `npid'
		if "`rename'"=="1" rename tempnpid npid
	}
}
end
