/*****************************************************************************************
AUTHOR: David Chan
PURPOSE: Program to hardcode knots for splines
NOTES: 
- This program is not necessary, as I use Stata-defined percentiles to set the knots, but
  it saves time
******************************************************************************************/

capture program drop set_global_knots
program set_global_knots
syntax , shiftlen(integer)
qui {
	if `shiftlen'==7 {
		global xbd_lntdc_knots 0 1 1.3
		global diff_lntdc_knots -1.5 -.1 .4
		global irelto_base_knots 0 46 66 92
		global census_knots 3 7 11
		global adjirelto_knots 154 179 198
	}
	else if `shiftlen'==8 {
		global xbd_lntdc_knots 0 1 1.3
		global diff_lntdc_knots -1.6 -.2 .4
		global irelto_base_knots 0 42 61 87
		global census_knots 4 7 10
		global adjirelto_knots 152 176 198
	}
	else if `shiftlen'==9 {
		global xbd_lntdc_knots 0 1.1 1.4
		global diff_lntdc_knots -1.5 -.1 .5
		global irelto_base_knots 0 46 67 103
		global census_knots 4 8 12
		global adjirelto_knots 153 177 198
	}
	else if `shiftlen'==10 {
		global xbd_lntdc_knots 0 .9 1.3
		global diff_lntdc_knots -1.5 0 .6
		global irelto_base_knots 0 46 67 104
		global census_knots 4 7 11
		global adjirelto_knots 154 179 199
	}
	else if `shiftlen'==12 {
		global xbd_lntdc_knots 0 1.1 1.4
		global diff_lntdc_knots -1.5 -.1 .5
		global irelto_base_knots 0 43 67 118
		global census_knots 3 6 9
		global adjirelto_knots 153 178 199
	}
}
end
