/*****************************************************************************************
AUTHOR: David Chan
PURPOSE: Simulated arrivals in counterfactuals
******************************************************************************************/

capture program drop sim_arrivals_multi
program sim_arrivals_multi
syntax , estimates(string)
qui {
	local keeplist
	foreach var in ed_tc ed_t irelfrom_base* irelto_base* ed_ym census ed_dow ///
		nroom ed_ym ed_hh shiftlen postovl cen? npid shiftlen preovl nshifttype ///
		d_lntdc nshiftid ed_t_tag sb_to_dc visits1h irelfrom_tag {
		capture d `var'
		if r(N)!=. local keeplist `keeplist' `var' 
	}
	keep `keeplist'
	make_spline, retrieve estfile(`estimates')
	
	estimates use "${Estimates}/`estimates'"
	predict p1 p2 p3 p4
	gen rand=runiform()
	gen visits=cond(rand<p1,0,cond(rand<p1+p2,1,cond(rand<p1+p2+p3,2,3)))
	drop p1 p2 p3 p4 rand
}
end
