/*****************************************************************************************
AUTHOR: David Chan
PURPOSE: Simulate expected length of stay (for simulated arrivals) in counterfactuals
******************************************************************************************/

capture program drop sim_xbd_lntdc_multi 
program sim_xbd_lntdc_multi
syntax , estimates(string)
qui {	
	make_spline, retrieve estfile(`estimates')
	estimates use "${Estimates}/`estimates'"
	predict mean_xbd_lntdc, xb
	local se=e(rmse)
	gen xbd_lntdc=rnormal(mean_xbd_lntdc,`se')

	local keeplist
	foreach var in irelto_base irelfrom_base ed_t shiftlen xb_lntdc ed_hh npid ///
		nshifttype d_lntdc xbd_lntdc nshiftid ed_t_tag sb_to_dc ed_ym ///
		irelfrom_tag {
			capture d `var'
			if r(N)!=. local keeplist `keeplist' `var'
	}
	keep `keeplist'
	
	gen period=0 
		// replace period=period+1 is after arrivals in run_sim_tagged_multi.ado
	gen sample=1
}
end
